# ReadableDimension (LWJGL API)
Date: 2015-07-28

## org.lwjgl.util
Interface ReadableDimension

All Known Subinterfaces:
  ReadableRectangle

All Known Implementing Classes:
  Dimension, Rectangle

    public interface ReadableDimension

Readonly interface for Dimensions

Version:
  $Revision$ $Id$
Author:
  $Author$

Method Summary
`int` `getHeight()` Get the height
`void` `getSize(WritableDimension dest)` Copy this ReadableDimension into a destination Dimension
`int` `getWidth()` Get the width

Method Detail

### getWidth

    int getWidth()

  Get the width

  Returns:
    int

### getHeight

    int getHeight()

  Get the height

  Returns:
    int

### getSize

    void getSize(WritableDimension dest)

  Copy this ReadableDimension into a destination Dimension

  Parameters:
    `dest` - The destination

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.